Subject: bug#64959: 23 tests fail (over 7 files) on i686-linux

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Sun, 30 Jul 2023 18:16:03 +0200

Hi,

As a follow-up to https://issues.guix.gnu.org/64760 and in preparation
of patches for guix tests in hurd-team, I checked test failures on
i686-linux on my 64bit machine doing something like

--8<---------------cut here---------------start------------->8---
./pre-inst-env guix build --system=i686-linux guix --keep-failed --without-tests
[..]
^C
source /tmp/guix-build-guix-1.4.0-7.44bbfc2.drv-0/environment-variables *)
./configure
make check
--8<---------------cut here---------------end--------------->8---

*) after removing or modifying some settings like HOME, PATH

which yield 23 test failures in these files

--8<---------------cut here---------------start------------->8---
FAIL: tests/containers
FAIL: tests/packages
FAIL: tests/syscalls
FAIL: tests/texlive
FAIL: tests/guix-home
FAIL: tests/guix-environment
FAIL: tests/guix-environment-container
--8<---------------cut here---------------end--------------->8---

Applying Josselin's patches in #64760 changes fixes packages and
texlive, but also causes store-roots to fail, yielding 22 failures
overal in these files

--8<---------------cut here---------------start------------->8---
FAIL: tests/containers
FAIL: tests/guix-environment
FAIL: tests/guix-environment-container
FAIL: tests/guix-home
FAIL: tests/store-roots
FAIL: tests/syscalls
--8<---------------cut here---------------end--------------->8---

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com